package com.ruoyi.business.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 套餐对象 bus_combo
 * 
 * @author ruoyi
 * @date 2022-09-21
 */
public class BusCombo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Integer id;

    /** 生效时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生效时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startDate;

    /** 失效时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "失效时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date validityDate;

    /** 有效期（月） */
    @Excel(name = "有效期", readConverterExp = "月=")
    private Integer validityMonth;

    /** 套餐标题 */
    @Excel(name = "套餐标题")
    private String comboTitle;

    /** 套餐详细信息 */
    @Excel(name = "套餐详细信息")
    private String comboDetail;

    /** 套餐价值 */
    @Excel(name = "套餐价值")
    private BigDecimal comboValue;

    /** 套餐成本 */
    @Excel(name = "套餐成本")
    private BigDecimal comboCosting;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setStartDate(Date startDate) 
    {
        this.startDate = startDate;
    }

    public Date getStartDate() 
    {
        return startDate;
    }
    public void setValidityDate(Date validityDate) 
    {
        this.validityDate = validityDate;
    }

    public Date getValidityDate() 
    {
        return validityDate;
    }
    public void setValidityMonth(Integer validityMonth) 
    {
        this.validityMonth = validityMonth;
    }

    public Integer getValidityMonth() 
    {
        return validityMonth;
    }
    public void setComboTitle(String comboTitle) 
    {
        this.comboTitle = comboTitle;
    }

    public String getComboTitle() 
    {
        return comboTitle;
    }
    public void setComboDetail(String comboDetail) 
    {
        this.comboDetail = comboDetail;
    }

    public String getComboDetail() 
    {
        return comboDetail;
    }
    public void setComboValue(BigDecimal comboValue) 
    {
        this.comboValue = comboValue;
    }

    public BigDecimal getComboValue() 
    {
        return comboValue;
    }
    public void setComboCosting(BigDecimal comboCosting) 
    {
        this.comboCosting = comboCosting;
    }

    public BigDecimal getComboCosting() 
    {
        return comboCosting;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("startDate", getStartDate())
            .append("validityDate", getValidityDate())
            .append("validityMonth", getValidityMonth())
            .append("comboTitle", getComboTitle())
            .append("comboDetail", getComboDetail())
            .append("comboValue", getComboValue())
            .append("comboCosting", getComboCosting())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
