package com.ruoyi.business.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 消费券对象 bus_vouchers
 *
 * @author ruoyi
 * @date 2022-09-20
 */
public class BusVouchers extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Integer id;

    /** 券号 */
    @Excel(name = "券号")
    private String code;
    private Integer validityMonth;
    private Integer userCount;
    private String projectType;

    private Integer comboId;

    /** 生效时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生效时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startDate;

    /** 失效时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "失效时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date validityDate;

    /** 商品标题 */
    @Excel(name = "商品标题")
    private String productTitle;

    /** 商品详细信息 */
    @Excel(name = "商品详细信息")
    private String productDetail;

    /** 商品价值 */
    @Excel(name = "商品价值")
    private BigDecimal productValue;

    /** 商品成本 */
    @Excel(name = "商品成本")
    private BigDecimal productCosting;

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setStartDate(Date startDate)
    {
        this.startDate = startDate;
    }

    public Date getStartDate()
    {
        return startDate;
    }
    public void setValidityDate(Date validityDate)
    {
        this.validityDate = validityDate;
    }

    public Date getValidityDate()
    {
        return validityDate;
    }
    public void setProductTitle(String productTitle)
    {
        this.productTitle = productTitle;
    }

    public String getProductTitle()
    {
        return productTitle;
    }
    public void setProductDetail(String productDetail)
    {
        this.productDetail = productDetail;
    }

    public String getProductDetail()
    {
        return productDetail;
    }
    public void setProductValue(BigDecimal productValue)
    {
        this.productValue = productValue;
    }

    public BigDecimal getProductValue()
    {
        return productValue;
    }
    public void setProductCosting(BigDecimal productCosting)
    {
        this.productCosting = productCosting;
    }

    public BigDecimal getProductCosting()
    {
        return productCosting;
    }

    public Integer getValidityMonth() {
        return validityMonth;
    }

    public void setValidityMonth(Integer validityMonth) {
        this.validityMonth = validityMonth;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public Integer getComboId() {
        return comboId;
    }

    public void setComboId(Integer comboId) {
        this.comboId = comboId;
    }

    public Integer getUserCount() {
        return userCount;
    }

    public void setUserCount(Integer userCount) {
        this.userCount = userCount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("startDate", getStartDate())
            .append("validityDate", getValidityDate())
            .append("productTitle", getProductTitle())
            .append("productDetail", getProductDetail())
            .append("productValue", getProductValue())
            .append("productCosting", getProductCosting())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
