package com.ruoyi.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 消费券用户关系对象 bus_vouchers_user
 *
 * @author ruoyi
 * @date 2022-09-20
 */
public class BusVouchersUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Integer id;

    /** 券号 */
    @Excel(name = "券号")
    private String code;

    private BusVouchers busVouchers;

    private String projectType;
    @Excel(name = "套餐id")
    private Integer comboId;


    /** 用户id */
    @Excel(name = "用户id")
    private Integer userId;

    /** 生效时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生效时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startDate;

    /** 失效时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "失效时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date validityDate;

    /** 数量 */
    @Excel(name = "数量")
    private Integer count;

    @Excel(name = "核销数量")
    private Integer consumeCount;

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setUserId(Integer userId)
    {
        this.userId = userId;
    }

    public Integer getUserId()
    {
        return userId;
    }
    public void setStartDate(Date startDate)
    {
        this.startDate = startDate;
    }

    public Date getStartDate()
    {
        return startDate;
    }
    public void setValidityDate(Date validityDate)
    {
        this.validityDate = validityDate;
    }

    public Date getValidityDate()
    {
        return validityDate;
    }
    public void setCount(Integer count)
    {
        this.count = count;
    }

    public Integer getCount()
    {
        return count;
    }

    public BusVouchers getBusVouchers() {
        return busVouchers;
    }

    public void setBusVouchers(BusVouchers busVouchers) {
        this.busVouchers = busVouchers;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public Integer getComboId() {
        return comboId;
    }

    public void setComboId(Integer comboId) {
        this.comboId = comboId;
    }

    public Integer getConsumeCount() {
        return consumeCount;
    }

    public void setConsumeCount(Integer consumeCount) {
        this.consumeCount = consumeCount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("userId", getUserId())
            .append("startDate", getStartDate())
            .append("validityDate", getValidityDate())
            .append("count", getCount())
            .toString();
    }
}
