package com.ruoyi.business.mapper;

import java.util.List;
import com.ruoyi.business.domain.BusComboVouchers;

/**
 * 套餐项目Mapper接口
 * 
 * @author ruoyi
 * @date 2022-09-21
 */
public interface BusComboVouchersMapper 
{
    /**
     * 查询套餐项目
     * 
     * @param id 套餐项目主键
     * @return 套餐项目
     */
    public BusComboVouchers selectBusComboVouchersById(Integer id);

    /**
     * 查询套餐项目列表
     * 
     * @param busComboVouchers 套餐项目
     * @return 套餐项目集合
     */
    public List<BusComboVouchers> selectBusComboVouchersList(BusComboVouchers busComboVouchers);

    /**
     * 新增套餐项目
     * 
     * @param busComboVouchers 套餐项目
     * @return 结果
     */
    public int insertBusComboVouchers(BusComboVouchers busComboVouchers);

    /**
     * 修改套餐项目
     * 
     * @param busComboVouchers 套餐项目
     * @return 结果
     */
    public int updateBusComboVouchers(BusComboVouchers busComboVouchers);

    /**
     * 删除套餐项目
     * 
     * @param id 套餐项目主键
     * @return 结果
     */
    public int deleteBusComboVouchersById(Integer id);

    /**
     * 批量删除套餐项目
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusComboVouchersByIds(Integer[] ids);
}
