package com.ruoyi.business.mapper;

import java.util.List;
import com.ruoyi.business.domain.BusVouchersRecords;

/**
 * 核销记录Mapper接口
 * 
 * @author ruoyi
 * @date 2022-09-20
 */
public interface BusVouchersRecordsMapper 
{
    /**
     * 查询核销记录
     * 
     * @param id 核销记录主键
     * @return 核销记录
     */
    public BusVouchersRecords selectBusVouchersRecordsById(Integer id);

    /**
     * 查询核销记录列表
     * 
     * @param busVouchersRecords 核销记录
     * @return 核销记录集合
     */
    public List<BusVouchersRecords> selectBusVouchersRecordsList(BusVouchersRecords busVouchersRecords);

    /**
     * 新增核销记录
     * 
     * @param busVouchersRecords 核销记录
     * @return 结果
     */
    public int insertBusVouchersRecords(BusVouchersRecords busVouchersRecords);

    /**
     * 修改核销记录
     * 
     * @param busVouchersRecords 核销记录
     * @return 结果
     */
    public int updateBusVouchersRecords(BusVouchersRecords busVouchersRecords);

    /**
     * 删除核销记录
     * 
     * @param id 核销记录主键
     * @return 结果
     */
    public int deleteBusVouchersRecordsById(Integer id);

    /**
     * 批量删除核销记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusVouchersRecordsByIds(Integer[] ids);
}
