package com.ruoyi.business.service;

import java.util.List;
import com.ruoyi.business.domain.BusCombo;

/**
 * 套餐Service接口
 * 
 * @author ruoyi
 * @date 2022-09-21
 */
public interface IBusComboService 
{
    /**
     * 查询套餐
     * 
     * @param id 套餐主键
     * @return 套餐
     */
    public BusCombo selectBusComboById(Integer id);

    /**
     * 查询套餐列表
     * 
     * @param busCombo 套餐
     * @return 套餐集合
     */
    public List<BusCombo> selectBusComboList(BusCombo busCombo);

    /**
     * 新增套餐
     * 
     * @param busCombo 套餐
     * @return 结果
     */
    public int insertBusCombo(BusCombo busCombo);

    /**
     * 修改套餐
     * 
     * @param busCombo 套餐
     * @return 结果
     */
    public int updateBusCombo(BusCombo busCombo);

    /**
     * 批量删除套餐
     * 
     * @param ids 需要删除的套餐主键集合
     * @return 结果
     */
    public int deleteBusComboByIds(Integer[] ids);

    /**
     * 删除套餐信息
     * 
     * @param id 套餐主键
     * @return 结果
     */
    public int deleteBusComboById(Integer id);
}
