package com.ruoyi.business.service;

import java.util.List;
import com.ruoyi.business.domain.BusComboUser;

/**
 * 套餐用户Service接口
 * 
 * @author ruoyi
 * @date 2022-09-22
 */
public interface IBusComboUserService 
{
    /**
     * 查询套餐用户
     * 
     * @param id 套餐用户主键
     * @return 套餐用户
     */
    public BusComboUser selectBusComboUserById(Integer id);

    /**
     * 查询套餐用户列表
     * 
     * @param busComboUser 套餐用户
     * @return 套餐用户集合
     */
    public List<BusComboUser> selectBusComboUserList(BusComboUser busComboUser);

    /**
     * 新增套餐用户
     * 
     * @param busComboUser 套餐用户
     * @return 结果
     */
    public int insertBusComboUser(BusComboUser busComboUser);

    /**
     * 修改套餐用户
     * 
     * @param busComboUser 套餐用户
     * @return 结果
     */
    public int updateBusComboUser(BusComboUser busComboUser);

    /**
     * 批量删除套餐用户
     * 
     * @param ids 需要删除的套餐用户主键集合
     * @return 结果
     */
    public int deleteBusComboUserByIds(Integer[] ids);

    /**
     * 删除套餐用户信息
     * 
     * @param id 套餐用户主键
     * @return 结果
     */
    public int deleteBusComboUserById(Integer id);
}
