package com.ruoyi.business.service;

import java.util.List;
import com.ruoyi.business.domain.BusVouchers;

/**
 * 消费券Service接口
 * 
 * @author ruoyi
 * @date 2022-09-20
 */
public interface IBusVouchersService 
{
    /**
     * 查询消费券
     * 
     * @param id 消费券主键
     * @return 消费券
     */
    public BusVouchers selectBusVouchersById(Integer id);

    /**
     * 查询消费券列表
     * 
     * @param busVouchers 消费券
     * @return 消费券集合
     */
    public List<BusVouchers> selectBusVouchersList(BusVouchers busVouchers);

    /**
     * 新增消费券
     * 
     * @param busVouchers 消费券
     * @return 结果
     */
    public int insertBusVouchers(BusVouchers busVouchers);

    /**
     * 修改消费券
     * 
     * @param busVouchers 消费券
     * @return 结果
     */
    public int updateBusVouchers(BusVouchers busVouchers);

    /**
     * 批量删除消费券
     * 
     * @param ids 需要删除的消费券主键集合
     * @return 结果
     */
    public int deleteBusVouchersByIds(Integer[] ids);

    /**
     * 删除消费券信息
     * 
     * @param id 消费券主键
     * @return 结果
     */
    public int deleteBusVouchersById(Integer id);
}
