package com.ruoyi.business.service;

import java.util.List;
import com.ruoyi.business.domain.BusVouchersUser;

/**
 * 消费券用户关系Service接口
 * 
 * @author ruoyi
 * @date 2022-09-20
 */
public interface IBusVouchersUserService 
{
    /**
     * 查询消费券用户关系
     * 
     * @param id 消费券用户关系主键
     * @return 消费券用户关系
     */
    public BusVouchersUser selectBusVouchersUserById(Integer id);

    /**
     * 查询消费券用户关系列表
     * 
     * @param busVouchersUser 消费券用户关系
     * @return 消费券用户关系集合
     */
    public List<BusVouchersUser> selectBusVouchersUserList(BusVouchersUser busVouchersUser);

    /**
     * 新增消费券用户关系
     * 
     * @param busVouchersUser 消费券用户关系
     * @return 结果
     */
    public int insertBusVouchersUser(BusVouchersUser busVouchersUser);

    /**
     * 修改消费券用户关系
     * 
     * @param busVouchersUser 消费券用户关系
     * @return 结果
     */
    public int updateBusVouchersUser(BusVouchersUser busVouchersUser);

    /**
     * 批量删除消费券用户关系
     * 
     * @param ids 需要删除的消费券用户关系主键集合
     * @return 结果
     */
    public int deleteBusVouchersUserByIds(Integer[] ids);

    /**
     * 删除消费券用户关系信息
     * 
     * @param id 消费券用户关系主键
     * @return 结果
     */
    public int deleteBusVouchersUserById(Integer id);
}
