package com.ruoyi.business.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.BusComboMapper;
import com.ruoyi.business.domain.BusCombo;
import com.ruoyi.business.service.IBusComboService;

/**
 * 套餐Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-09-21
 */
@Service
public class BusComboServiceImpl implements IBusComboService 
{
    @Autowired
    private BusComboMapper busComboMapper;

    /**
     * 查询套餐
     * 
     * @param id 套餐主键
     * @return 套餐
     */
    @Override
    public BusCombo selectBusComboById(Integer id)
    {
        return busComboMapper.selectBusComboById(id);
    }

    /**
     * 查询套餐列表
     * 
     * @param busCombo 套餐
     * @return 套餐
     */
    @Override
    public List<BusCombo> selectBusComboList(BusCombo busCombo)
    {
        return busComboMapper.selectBusComboList(busCombo);
    }

    /**
     * 新增套餐
     * 
     * @param busCombo 套餐
     * @return 结果
     */
    @Override
    public int insertBusCombo(BusCombo busCombo)
    {
        busCombo.setCreateTime(DateUtils.getNowDate());
        return busComboMapper.insertBusCombo(busCombo);
    }

    /**
     * 修改套餐
     * 
     * @param busCombo 套餐
     * @return 结果
     */
    @Override
    public int updateBusCombo(BusCombo busCombo)
    {
        busCombo.setUpdateTime(DateUtils.getNowDate());
        return busComboMapper.updateBusCombo(busCombo);
    }

    /**
     * 批量删除套餐
     * 
     * @param ids 需要删除的套餐主键
     * @return 结果
     */
    @Override
    public int deleteBusComboByIds(Integer[] ids)
    {
        return busComboMapper.deleteBusComboByIds(ids);
    }

    /**
     * 删除套餐信息
     * 
     * @param id 套餐主键
     * @return 结果
     */
    @Override
    public int deleteBusComboById(Integer id)
    {
        return busComboMapper.deleteBusComboById(id);
    }
}
