package com.ruoyi.business.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.BusComboVouchersMapper;
import com.ruoyi.business.domain.BusComboVouchers;
import com.ruoyi.business.service.IBusComboVouchersService;

/**
 * 套餐项目Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-09-21
 */
@Service
public class BusComboVouchersServiceImpl implements IBusComboVouchersService 
{
    @Autowired
    private BusComboVouchersMapper busComboVouchersMapper;

    /**
     * 查询套餐项目
     * 
     * @param id 套餐项目主键
     * @return 套餐项目
     */
    @Override
    public BusComboVouchers selectBusComboVouchersById(Integer id)
    {
        return busComboVouchersMapper.selectBusComboVouchersById(id);
    }

    /**
     * 查询套餐项目列表
     * 
     * @param busComboVouchers 套餐项目
     * @return 套餐项目
     */
    @Override
    public List<BusComboVouchers> selectBusComboVouchersList(BusComboVouchers busComboVouchers)
    {
        return busComboVouchersMapper.selectBusComboVouchersList(busComboVouchers);
    }

    /**
     * 新增套餐项目
     * 
     * @param busComboVouchers 套餐项目
     * @return 结果
     */
    @Override
    public int insertBusComboVouchers(BusComboVouchers busComboVouchers)
    {
        return busComboVouchersMapper.insertBusComboVouchers(busComboVouchers);
    }

    /**
     * 修改套餐项目
     * 
     * @param busComboVouchers 套餐项目
     * @return 结果
     */
    @Override
    public int updateBusComboVouchers(BusComboVouchers busComboVouchers)
    {
        return busComboVouchersMapper.updateBusComboVouchers(busComboVouchers);
    }

    /**
     * 批量删除套餐项目
     * 
     * @param ids 需要删除的套餐项目主键
     * @return 结果
     */
    @Override
    public int deleteBusComboVouchersByIds(Integer[] ids)
    {
        return busComboVouchersMapper.deleteBusComboVouchersByIds(ids);
    }

    /**
     * 删除套餐项目信息
     * 
     * @param id 套餐项目主键
     * @return 结果
     */
    @Override
    public int deleteBusComboVouchersById(Integer id)
    {
        return busComboVouchersMapper.deleteBusComboVouchersById(id);
    }
}
