package com.ruoyi.business.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.BusVouchersRecordsMapper;
import com.ruoyi.business.domain.BusVouchersRecords;
import com.ruoyi.business.service.IBusVouchersRecordsService;

/**
 * 核销记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-09-20
 */
@Service
public class BusVouchersRecordsServiceImpl implements IBusVouchersRecordsService 
{
    @Autowired
    private BusVouchersRecordsMapper busVouchersRecordsMapper;

    /**
     * 查询核销记录
     * 
     * @param id 核销记录主键
     * @return 核销记录
     */
    @Override
    public BusVouchersRecords selectBusVouchersRecordsById(Integer id)
    {
        return busVouchersRecordsMapper.selectBusVouchersRecordsById(id);
    }

    /**
     * 查询核销记录列表
     * 
     * @param busVouchersRecords 核销记录
     * @return 核销记录
     */
    @Override
    public List<BusVouchersRecords> selectBusVouchersRecordsList(BusVouchersRecords busVouchersRecords)
    {
        return busVouchersRecordsMapper.selectBusVouchersRecordsList(busVouchersRecords);
    }

    /**
     * 新增核销记录
     * 
     * @param busVouchersRecords 核销记录
     * @return 结果
     */
    @Override
    public int insertBusVouchersRecords(BusVouchersRecords busVouchersRecords)
    {
        return busVouchersRecordsMapper.insertBusVouchersRecords(busVouchersRecords);
    }

    /**
     * 修改核销记录
     * 
     * @param busVouchersRecords 核销记录
     * @return 结果
     */
    @Override
    public int updateBusVouchersRecords(BusVouchersRecords busVouchersRecords)
    {
        return busVouchersRecordsMapper.updateBusVouchersRecords(busVouchersRecords);
    }

    /**
     * 批量删除核销记录
     * 
     * @param ids 需要删除的核销记录主键
     * @return 结果
     */
    @Override
    public int deleteBusVouchersRecordsByIds(Integer[] ids)
    {
        return busVouchersRecordsMapper.deleteBusVouchersRecordsByIds(ids);
    }

    /**
     * 删除核销记录信息
     * 
     * @param id 核销记录主键
     * @return 结果
     */
    @Override
    public int deleteBusVouchersRecordsById(Integer id)
    {
        return busVouchersRecordsMapper.deleteBusVouchersRecordsById(id);
    }
}
