package com.ruoyi.business.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.BusVouchersMapper;
import com.ruoyi.business.domain.BusVouchers;
import com.ruoyi.business.service.IBusVouchersService;

/**
 * 消费券Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-09-20
 */
@Service
public class BusVouchersServiceImpl implements IBusVouchersService 
{
    @Autowired
    private BusVouchersMapper busVouchersMapper;

    /**
     * 查询消费券
     * 
     * @param id 消费券主键
     * @return 消费券
     */
    @Override
    public BusVouchers selectBusVouchersById(Integer id)
    {
        return busVouchersMapper.selectBusVouchersById(id);
    }

    /**
     * 查询消费券列表
     * 
     * @param busVouchers 消费券
     * @return 消费券
     */
    @Override
    public List<BusVouchers> selectBusVouchersList(BusVouchers busVouchers)
    {
        return busVouchersMapper.selectBusVouchersList(busVouchers);
    }

    /**
     * 新增消费券
     * 
     * @param busVouchers 消费券
     * @return 结果
     */
    @Override
    public int insertBusVouchers(BusVouchers busVouchers)
    {
        busVouchers.setCreateTime(DateUtils.getNowDate());
        return busVouchersMapper.insertBusVouchers(busVouchers);
    }

    /**
     * 修改消费券
     * 
     * @param busVouchers 消费券
     * @return 结果
     */
    @Override
    public int updateBusVouchers(BusVouchers busVouchers)
    {
        busVouchers.setUpdateTime(DateUtils.getNowDate());
        return busVouchersMapper.updateBusVouchers(busVouchers);
    }

    /**
     * 批量删除消费券
     * 
     * @param ids 需要删除的消费券主键
     * @return 结果
     */
    @Override
    public int deleteBusVouchersByIds(Integer[] ids)
    {
        return busVouchersMapper.deleteBusVouchersByIds(ids);
    }

    /**
     * 删除消费券信息
     * 
     * @param id 消费券主键
     * @return 结果
     */
    @Override
    public int deleteBusVouchersById(Integer id)
    {
        return busVouchersMapper.deleteBusVouchersById(id);
    }
}
