package com.ruoyi.business.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.BusVouchersUserMapper;
import com.ruoyi.business.domain.BusVouchersUser;
import com.ruoyi.business.service.IBusVouchersUserService;

/**
 * 消费券用户关系Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-09-20
 */
@Service
public class BusVouchersUserServiceImpl implements IBusVouchersUserService 
{
    @Autowired
    private BusVouchersUserMapper busVouchersUserMapper;

    /**
     * 查询消费券用户关系
     * 
     * @param id 消费券用户关系主键
     * @return 消费券用户关系
     */
    @Override
    public BusVouchersUser selectBusVouchersUserById(Integer id)
    {
        return busVouchersUserMapper.selectBusVouchersUserById(id);
    }

    /**
     * 查询消费券用户关系列表
     * 
     * @param busVouchersUser 消费券用户关系
     * @return 消费券用户关系
     */
    @Override
    public List<BusVouchersUser> selectBusVouchersUserList(BusVouchersUser busVouchersUser)
    {
        return busVouchersUserMapper.selectBusVouchersUserList(busVouchersUser);
    }

    /**
     * 新增消费券用户关系
     * 
     * @param busVouchersUser 消费券用户关系
     * @return 结果
     */
    @Override
    public int insertBusVouchersUser(BusVouchersUser busVouchersUser)
    {
        return busVouchersUserMapper.insertBusVouchersUser(busVouchersUser);
    }

    /**
     * 修改消费券用户关系
     * 
     * @param busVouchersUser 消费券用户关系
     * @return 结果
     */
    @Override
    public int updateBusVouchersUser(BusVouchersUser busVouchersUser)
    {
        return busVouchersUserMapper.updateBusVouchersUser(busVouchersUser);
    }

    /**
     * 批量删除消费券用户关系
     * 
     * @param ids 需要删除的消费券用户关系主键
     * @return 结果
     */
    @Override
    public int deleteBusVouchersUserByIds(Integer[] ids)
    {
        return busVouchersUserMapper.deleteBusVouchersUserByIds(ids);
    }

    /**
     * 删除消费券用户关系信息
     * 
     * @param id 消费券用户关系主键
     * @return 结果
     */
    @Override
    public int deleteBusVouchersUserById(Integer id)
    {
        return busVouchersUserMapper.deleteBusVouchersUserById(id);
    }
}
