import request from '@/utils/request'

// 查询套餐列表
export function listCombo(query) {
  return request({
    url: '/business/combo/list',
    method: 'get',
    params: query
  })
}

// 查询套餐详细
export function getCombo(id) {
  return request({
    url: '/business/combo/' + id,
    method: 'get'
  })
}

// 新增套餐
export function addCombo(data) {
  return request({
    url: '/business/combo',
    method: 'post',
    data: data
  })
}

// 修改套餐
export function updateCombo(data) {
  return request({
    url: '/business/combo',
    method: 'put',
    data: data
  })
}

// 删除套餐
export function delCombo(id) {
  return request({
    url: '/business/combo/' + id,
    method: 'delete'
  })
}
