import request from '@/utils/request'

// 查询套餐用户列表
export function listComboUser(query) {
  return request({
    url: '/business/comboUser/list',
    method: 'get',
    params: query
  })
}

// 查询套餐用户详细
export function getComboUser(id) {
  return request({
    url: '/business/comboUser/' + id,
    method: 'get'
  })
}

// 新增套餐用户
export function addComboUser(data) {
  return request({
    url: '/business/comboUser',
    method: 'post',
    data: data
  })
}

// 修改套餐用户
export function updateComboUser(data) {
  return request({
    url: '/business/comboUser',
    method: 'put',
    data: data
  })
}

// 删除套餐用户
export function delComboUser(id) {
  return request({
    url: '/business/comboUser/' + id,
    method: 'delete'
  })
}
