import request from '@/utils/request'

// 查询套餐项目列表
export function listComboVouchers(query) {
  return request({
    url: '/business/comboVouchers/list',
    method: 'get',
    params: query
  })
}

// 查询套餐项目详细
export function getComboVouchers(id) {
  return request({
    url: '/business/comboVouchers/' + id,
    method: 'get'
  })
}

// 新增套餐项目
export function addComboVouchers(data) {
  return request({
    url: '/business/comboVouchers',
    method: 'post',
    data: data
  })
}

// 修改套餐项目
export function updateComboVouchers(data) {
  return request({
    url: '/business/comboVouchers',
    method: 'put',
    data: data
  })
}

// 删除套餐项目
export function delComboVouchers(id) {
  return request({
    url: '/business/comboVouchers/' + id,
    method: 'delete'
  })
}
