import request from '@/utils/request'

// 查询核销记录列表
export function listRecords(query) {
  return request({
    url: '/business/records/list',
    method: 'get',
    params: query
  })
}

// 查询核销记录详细
export function getRecords(id) {
  return request({
    url: '/business/records/' + id,
    method: 'get'
  })
}

// 新增核销记录
export function addRecords(data) {
  return request({
    url: '/business/records',
    method: 'post',
    data: data
  })
}

// 修改核销记录
export function updateRecords(data) {
  return request({
    url: '/business/records',
    method: 'put',
    data: data
  })
}

// 删除核销记录
export function delRecords(id) {
  return request({
    url: '/business/records/' + id,
    method: 'delete'
  })
}
