import request from '@/utils/request'

// 查询消费券列表
export function listVouchers(query) {
  return request({
    url: '/business/vouchers/list',
    method: 'get',
    params: query
  })
}

// 查询消费券详细
export function getVouchers(id) {
  return request({
    url: '/business/vouchers/' + id,
    method: 'get'
  })
}

// 新增消费券
export function addVouchers(data) {
  return request({
    url: '/business/vouchers',
    method: 'post',
    data: data
  })
}

// 修改消费券
export function updateVouchers(data) {
  return request({
    url: '/business/vouchers',
    method: 'put',
    data: data
  })
}

// 删除消费券
export function delVouchers(id) {
  return request({
    url: '/business/vouchers/' + id,
    method: 'delete'
  })
}
