package com.ruoyi.wechat.service;

import com.alibaba.fastjson.JSONObject;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.wechat.pojo.WxMpAuthorizationUrl;

/**
 * @author cj
 */
public interface IWeChatBaseService {

    /**
     * 根据 appID ，screat 获取 access_token
     * @return jsonObject
     */
    AjaxResult getAccessToken();

    /**
     * 根据 OpenId 获取用户信息
     * @param openId 微信 openID
     * @return jsonObject
     */
    JSONObject getUserInfo(String openId);

    /**
     * 网页授权获取 openID 和 access_token
     * @param code
     * @return
     */
    AjaxResult webAuth(String code);


    /**
     * 网页授权获取用户详细信息
     * @param code
     * @return
     */
    String webLogin(String code);


    JSONObject getAttentionUserList(String accessToken);

    /**
     * 获取请求链接
     * @param wxMpAuthorizationUrl
     * @return
     */
    String getWebAuthUrl(WxMpAuthorizationUrl wxMpAuthorizationUrl);




}
